package facets.facet.toolkit.avatar;
import facets.core.app.avatar.PainterMaster.Textual;
import facets.util.geom.Point;
import java.awt.Color;
import java.awt.Component;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.RenderingHints;
final class SwingPainterTextual implements PickPainter{
	private final Component swing;
	private final Textual master;
	private final PlaneCanvas plane;
	private int widthPane,heightPane,shiftY,shiftX;
	SwingPainterTextual(Textual master,PlaneCanvas plane,Component swing){
		this.plane=plane;
		this.swing=swing;
		this.master=master;
	}
	public void paintInGraphics(Object graphics){
		Graphics2D g2=(Graphics2D)((Graphics)graphics).create();
		g2.setRenderingHint(RenderingHints.KEY_ANTIALIASING,
				Textual.antiAlias?RenderingHints.VALUE_ANTIALIAS_ON
						:RenderingHints.VALUE_ANTIALIAS_OFF);
		g2.setColor(new Color(master.shade.rgb()));
		g2.setFont(new Font(false?"Century Gothic":master.face,
				master.style,master.points));
		g2.drawString(master.text,(float)master.x,(float)master.y);
	}
	public Object checkCanvasHit(Point canvasAt,double hitGap){
		return null;		
	}
}/*/*
This file forms part of Version 0.8.79 of Facets, a framework demonstrating 
the Superficial approach to GUI-driven interactive applications.  
http://superficial.sourceforge.net 				
Copyright (C) 2011  David M Wright 
This library is free software; you can redistribute it and/or modify it under 
the terms of the GNU Lesser General Public License as published by the 
Free Software Foundation; either release 3 of the License, or (at your 
option) any later release.
This library is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR 
A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more 
details.
You should have received a copy of the GNU Lesser General Public License along 
with this library; if not, write to the Free Software Foundation, Inc., 
59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/
