package facets.facet.toolkit.swing;
import facets.facet.FacetFactory;
import facets.facet.toolkit.KMount;
import facets.facet.toolkit.KWrap;
import facets.facet.toolkit.KitFacet;
import facets.util.Debug;
import facets.util.StringFlags;
import facets.util.Util;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Component;
import java.awt.Container;
import java.awt.Font;
import javax.swing.JComponent;
import javax.swing.JPanel;
class MountCore extends Widget implements KMount{
	public MountCore(KitFacet facet,JComponent swing){super(facet,swing);}
	public void setEnabled(boolean enabled){}
	public void setItem(KWrap item){setItems(new KWrap[]{item});}
  public void setActiveItem(KWrap item){
    if(false)throw new RuntimeException("Not implemented in "+Debug.info(this));    
  }
	public void setItems(KWrap... items){
		if(items==null)throw new IllegalArgumentException("Null items in "+Debug.info(this));
		if(swing==null)swing=new JPanel(new BorderLayout());
		swing.removeAll();
		swing.add((Component)items[0].wrapped(),BorderLayout.CENTER);
	}
	protected void setSwing(JComponent swing){
		super.setSwing(swing);
		if(FacetFactory.panelShade!=null)
			swing.setBackground(new Color(FacetFactory.panelShade.rgb()));
	}
	public void setHidden(boolean hidden){
		throw new RuntimeException("Not implemented in "+Debug.info(this));		
	}
	public void setTools(KWrap tools, StringFlags hints){
		throw new RuntimeException("Not implemented for " +facet()+
				" in "+Debug.info(this));
		
	}
}
/*/*
This file forms part of Version 0.8.79 of Facets, a framework demonstrating 
the Superficial approach to GUI-driven interactive applications.  
http://superficial.sourceforge.net 				
Copyright (C) 2011  David M Wright 
This library is free software; you can redistribute it and/or modify it under 
the terms of the GNU Lesser General Public License as published by the 
Free Software Foundation; either release 3 of the License, or (at your 
option) any later release.
This library is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR 
A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more 
details.
You should have received a copy of the GNU Lesser General Public License along 
with this library; if not, write to the Free Software Foundation, Inc., 
59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

