package facets.facet.toolkit.swing;
import facets.facet.toolkit.KitFacet;

import java.awt.FlowLayout;
import java.awt.Insets;

import javax.swing.JPanel;
class Spacer extends Widget{
	Spacer(KitFacet facet,final int width,final int height){
    super(facet,new JPanel(new FlowLayout(0,0,0)){
			public Insets getInsets(){
				return new Insets(height,width,0,0);
			}
  	});
  }
	static class Filler extends Spacer{
		Filler(KitFacet facet){
			super(facet,0,0);
		}
	}
}
/*/*
This file forms part of Version 0.8.79 of Facets, a framework demonstrating 
the Superficial approach to GUI-driven interactive applications.  
http://superficial.sourceforge.net 				
Copyright (C) 2011  David M Wright 
This library is free software; you can redistribute it and/or modify it under 
the terms of the GNU Lesser General Public License as published by the 
Free Software Foundation; either release 3 of the License, or (at your 
option) any later release.
This library is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR 
A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more 
details.
You should have received a copy of the GNU Lesser General Public License along 
with this library; if not, write to the Free Software Foundation, Inc., 
59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

