package facets.facet.toolkit.swing.tree;
import static facets.util.datatree.DataConstants.*;
import facets.core.app.TreeView;
import facets.core.superficial.app.SViewer;
import facets.facet.toolkit.swing.KitSwing;
import facets.facet.toolkit.swing.ViewerMaster;
import facets.util.Debug;
import facets.util.Util;
import facets.util.datatree.DataConstants;
import facets.util.datatree.TypedNode;
import java.awt.Font;
import javax.swing.Icon;
import javax.swing.JLabel;
import javax.swing.JMenuBar;
abstract class PathNodePaneMaster extends ViewerMaster{
	private static final String findInfoTitle="(#\\d+\\s+\\d+).*",fixInfoTitle="$1 ";
	public String toString(){
		return Debug.info(this)+"\n(" +Debug.info(viewerTarget());
	}
	protected void modifyNodeValueRendering(Object value,JLabel label){
  	SViewer viewerTarget=viewerTarget();
		TreeView view=(TreeView)viewerTarget.view();
	  if(value instanceof TypedNode){
			TypedNode node=(TypedNode)value;
			label.setText(TreeView.debug?
					(node.type()+" "+Debug.info(node).replaceAll(findInfoTitle,fixInfoTitle))
					:view.nodeRenderText(node));
		}
		String key=view.contentIconKey(value);
	  KitSwing kit=base().kit;
		Object icon=key==null?null:kit.getDecorationIcon(key, false);
	  if(icon==null)
	  	icon=kit.getDecorationIcon(value instanceof TypedNode?
	  			TYPE_DATA:VALUE, false);
	  if(true&&(key==null||key.equals(NO_ICON)||!(value instanceof TypedNode)))
	  	label.setIcon(null);
		else if(icon!=null)label.setIcon((Icon)icon);
	  if(false&&value instanceof String){
	  	if(false)label.setText("");
			label.setText(value.toString());//.replaceAll("^("+RENDER_FUDGE+"\\d+)",""));
		}
	}
}
/*/*
This file forms part of Version 0.8.79 of Facets, a framework demonstrating 
the Superficial approach to GUI-driven interactive applications.  
http://superficial.sourceforge.net 				
Copyright (C) 2011  David M Wright 
This library is free software; you can redistribute it and/or modify it under 
the terms of the GNU Lesser General Public License as published by the 
Free Software Foundation; either release 3 of the License, or (at your 
option) any later release.
This library is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR 
A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more 
details.
You should have received a copy of the GNU Lesser General Public License along 
with this library; if not, write to the Free Software Foundation, Inc., 
59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

