package facets.core.app;
import facets.core.superficial.app.SView;
import facets.core.superficial.app.SelectionView;
import javax.swing.text.View;
/**
{@link SView} displaying plain or rich text. 
 */
public class TextView extends SelectionView{
	/** Title for iterating between pages.*/
	public static final String PAGE_UP="Previous Page|\u25b2",
		PAGE_DOWN="Next Page|\u25bc",
		PAGE_PREVIOUS="Previous Page|\u25c4",
		PAGE_NEXT="Next Page|\u25ba",
		PAGE_BACK="Back|\u25c4",
		PAGE_FORWARD="Forward|\u25ba",
		FONT_LARGER="Larger|\u25b2",
		FONT_SMALLER="Smaller|\u25bc",
		FONT_OFFSET="fontOffset";
	public TextView(String title){
		super(title);
	}
	/**
	Default returns <code>false</code> suiting plain text. 
	 */
	public boolean wrapLines(){
		return false;
	}
}/*/*
This file forms part of Version 0.8.79 of Facets, a framework demonstrating 
the Superficial approach to GUI-driven interactive applications.  
http://superficial.sourceforge.net 				
Copyright (C) 2011  David M Wright 
This library is free software; you can redistribute it and/or modify it under 
the terms of the GNU Lesser General Public License as published by the 
Free Software Foundation; either release 3 of the License, or (at your 
option) any later release.
This library is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR 
A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more 
details.
You should have received a copy of the GNU Lesser General Public License along 
with this library; if not, write to the Free Software Foundation, Inc., 
59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/
