package facets.facet;
import facets.core.superficial.Notifying;
import facets.core.superficial.SIndexing;
import facets.core.superficial.STarget;
import facets.core.superficial.SToggling;
import facets.core.superficial.Notifying.Impact;
import facets.core.superficial.SToggling.Coupler;
import facets.facet.FacetFactory.ComboCoupler;
import facets.facet.toolkit.KButton;
import facets.facet.toolkit.KWrap;
import facets.util.Debug;
import facets.util.StringFlags;
import facets.util.Util;
import facets.util.app.Events;
final class Togglings{
	static class Button extends SimpleMaster{
		private KButton button;
		private final int usage;
	  Button(int usage,StringFlags hints){
	  	super(hints);
	  	this.usage=usage;
	  }
	  public void attachedToFacet(){
	  	button=core.newRegisteredButtons(KButton.TYPE_CHECK,usage,
	  			new String[]{title()},hints)[0];
	  }
		public void retargetedMultiple(STarget[]targets,Impact impact){
			boolean first=((SToggling)targets[0]).isSet(),allSame=true;
			for(int i=0;allSame&&i<targets.length;i++)
				allSame&=((SToggling)targets[i]).isSet()==first;
			if(allSame)button.setSelected(first);
			else if(true)button.setIndeterminate(true);
		}
		protected void notifyingSingle(STarget target,Object msg){
			((SToggling)target).set(button.isSelected());
		}
		KWrap newBaseWrap(){
			return button;
		}
		KWrap[]newPartWraps(){
			return null;
		}
	}
}
/*/*
This file forms part of Version 0.8.79 of Facets, a framework demonstrating 
the Superficial approach to GUI-driven interactive applications.  
http://superficial.sourceforge.net 				
Copyright (C) 2011  David M Wright 
This library is free software; you can redistribute it and/or modify it under 
the terms of the GNU Lesser General Public License as published by the 
Free Software Foundation; either release 3 of the License, or (at your 
option) any later release.
This library is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR 
A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more 
details.
You should have received a copy of the GNU Lesser General Public License along 
with this library; if not, write to the Free Software Foundation, Inc., 
59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

