package facets.facet.toolkit;
/*
Abstracts the most general possible toolkit widget for use by a 
{@link KitFacet}.  
 */
public interface KWrap{
	public interface ItemSource{
		KWrap[]getItems();
	}
	final static KWrap BREAK=new KWrap(){
		public KitFacet facet(){return null;}
		public Object wrapped(){return null;}
    public Object newWrapped(Object parent){return null;}
    public String toString(){return "BREAK";}
	};
	/*
	The widget wrapped, for use by parent <code>KWrap</code>. 
		 */
	Object wrapped();
	/*
	Create wrapped widget and add to <code>parent</code>. 
		 */
	Object newWrapped(Object parent);
	KitFacet facet();
}/*/*
This file forms part of Version 0.8.79 of Facets, a framework demonstrating 
the Superficial approach to GUI-driven interactive applications.  
http://superficial.sourceforge.net 				
Copyright (C) 2011  David M Wright 
This library is free software; you can redistribute it and/or modify it under 
the terms of the GNU Lesser General Public License as published by the 
Free Software Foundation; either release 3 of the License, or (at your 
option) any later release.
This library is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR 
A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more 
details.
You should have received a copy of the GNU Lesser General Public License along 
with this library; if not, write to the Free Software Foundation, Inc., 
59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/
